Zoey REST API reference ยท Interactive version: apidocs.zoey.com
POST https://container-url.zoeysite.com/api/rest/sales2/orders/creditmemo/comment
Example request body:
{
"creditMemoIncrementId": "100000006",
"comment": "This is my test comment.",
"email": true,
"includeInEmail": true
}
POST https://container-url.zoeysite.com/api/rest/sales2/orders/creditmemo
Example request body:
{
"orderIncrementId": "100000180",
"creditmemoData": {
"qtys": {
"311": "2"
},
"shipping_amount": "5.00",
"adjustment_positive": "0",
"adjustment_negative": "0"
},
"comment": "Created By API",
"notifyCustomer": "1",
"includeComment": "1"
}
Example response (Create), HTTP 200:
"100000019"
GET https://container-url.zoeysite.com/api/rest/sales2/orders/creditmemos?include_comments=1
Query parameters:
| Name | Example | Notes |
|---|---|---|
limit | 2 | Limit the amount of results returned. (Optional) |
page | 1 | Paginate the limit. (Optional) |
order[increment_id] | DESC | Used to sort by property key / direction. (Optional) |
filters[increment_id][gt] | 100000003 | Used to filter results by property. (Optional) |
filters[grand_total][gt] | 400 | Qty Filtering Example |
include_comments | 1 | Include comments in the response. (Boolean Flag 1 or 0. Optional)
|